package com.maintain.business.service;

import com.maintain.business.domain.ErpUser;
import com.maintain.business.domain.vo.ErpUserVo;
import com.maintain.business.domain.bo.ErpUserBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修人员-人员Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpUserService {

    /**
     * 查询维修人员-人员
     */
    ErpUserVo queryById(Long id);

    /**
     * 查询维修人员-人员列表
     */
    TableDataInfo<ErpUserVo> queryPageList(ErpUserBo bo, PageQuery pageQuery);

    /**
     * 查询维修人员-人员列表
     */
    List<ErpUserVo> queryList(ErpUserBo bo);

    /**
     * 根据岗位ID获取员工工号
     * @param postId
     * @return
     */
    String getUserCodeByPostId(Long postId);

    /**
     * 新增维修人员-人员
     */
    Boolean insertByBo(ErpUserBo bo);

    /**
     * 修改维修人员-人员
     */
    Boolean updateByBo(ErpUserBo bo);

    /**
     * 校验并批量删除维修人员-人员信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
